Cassandra.cas_args (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.thrift

## Class Cassandra.cas_args

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.cas_args

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.cas_args>, org.apache.thrift.TBase<Cassandra.cas_args,Cassandra.cas_args._Fields>
  Enclosing class:
    Cassandra

      public static class Cassandra.cas_args
      extends java.lang.Object
      implements org.apache.thrift.TBase<Cassandra.cas_args,Cassandra.cas_args._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.cas_args>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cassandra.cas_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `column_family`
    `ConsistencyLevel` | `commit_consistency_level`
    `java.util.List<Column>` | `expected`
    `java.nio.ByteBuffer` | `key`
    `static java.util.Map<Cassandra.cas_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `ConsistencyLevel` | `serial_consistency_level`
    `java.util.List<Column>` | `updates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cassandra.cas_args()`
    `Cassandra.cas_args(java.nio.ByteBuffer key, java.lang.String column_family, java.util.List<Column> expected, java.util.List<Column> updates, ConsistencyLevel serial_consistency_level, ConsistencyLevel commit_consistency_level)`
    `Cassandra.cas_args(Cassandra.cas_args other)` Performs a deep copy on other.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToExpected(Column elem)`
    `void` | `addToUpdates(Column elem)`
    `java.nio.ByteBuffer` | `bufferForKey()`
    `void` | `clear()`
    `int` | `compareTo(Cassandra.cas_args other)`
    `Cassandra.cas_args` | `deepCopy()`
    `boolean` | `equals(Cassandra.cas_args that)`
    `boolean` | `equals(java.lang.Object that)`
    `Cassandra.cas_args._Fields` | `fieldForId(int fieldId)`
    `java.lang.String` | `getColumn_family()`
    `ConsistencyLevel` | `getCommit_consistency_level()`
    `java.util.List<Column>` | `getExpected()`
    `java.util.Iterator<Column>` | `getExpectedIterator()`
    `int` | `getExpectedSize()`
    `java.lang.Object` | `getFieldValue(Cassandra.cas_args._Fields field)`
    `byte[]` | `getKey()`
    `ConsistencyLevel` | `getSerial_consistency_level()`
    `java.util.List<Column>` | `getUpdates()`
    `java.util.Iterator<Column>` | `getUpdatesIterator()`
    `int` | `getUpdatesSize()`
    `int` | `hashCode()`
    `boolean` | `isSet(Cassandra.cas_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetColumn_family()` Returns true if field column_family is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCommit_consistency_level()` Returns true if field commit_consistency_level is set (has been assigned a value) and false otherwise
    `boolean` | `isSetExpected()` Returns true if field expected is set (has been assigned a value) and false otherwise
    `boolean` | `isSetKey()` Returns true if field key is set (has been assigned a value) and false otherwise
    `boolean` | `isSetSerial_consistency_level()` Returns true if field serial_consistency_level is set (has been assigned a value) and false otherwise
    `boolean` | `isSetUpdates()` Returns true if field updates is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `Cassandra.cas_args` | `setColumn_family(java.lang.String column_family)`
    `void` | `setColumn_familyIsSet(boolean value)`
    `Cassandra.cas_args` | `setCommit_consistency_level(ConsistencyLevel commit_consistency_level)`
    `void` | `setCommit_consistency_levelIsSet(boolean value)`
    `Cassandra.cas_args` | `setExpected(java.util.List<Column> expected)`
    `void` | `setExpectedIsSet(boolean value)`
    `void` | `setFieldValue(Cassandra.cas_args._Fields field, java.lang.Object value)`
    `Cassandra.cas_args` | `setKey(byte[] key)`
    `Cassandra.cas_args` | `setKey(java.nio.ByteBuffer key)`
    `void` | `setKeyIsSet(boolean value)`
    `Cassandra.cas_args` | `setSerial_consistency_level(ConsistencyLevel serial_consistency_level)`
    `void` | `setSerial_consistency_levelIsSet(boolean value)`
    `Cassandra.cas_args` | `setUpdates(java.util.List<Column> updates)`
    `void` | `setUpdatesIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetColumn_family()`
    `void` | `unsetCommit_consistency_level()`
    `void` | `unsetExpected()`
    `void` | `unsetKey()`
    `void` | `unsetSerial_consistency_level()`
    `void` | `unsetUpdates()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### key

          public java.nio.ByteBuffer key

    - #### column_family

          public java.lang.String column_family

    - #### expected

          public java.util.List<Column> expected

    - #### updates

          public java.util.List<Column> updates

    - #### serial_consistency_level

          public ConsistencyLevel serial_consistency_level

      See Also:
        `ConsistencyLevel`

    - #### commit_consistency_level

          public ConsistencyLevel commit_consistency_level

      See Also:
        `ConsistencyLevel`

    - #### metaDataMap

          public static final java.util.Map<Cassandra.cas_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### Cassandra.cas_args

          public Cassandra.cas_args()

    - #### Cassandra.cas_args

          public Cassandra.cas_args(java.nio.ByteBuffer key,
                            java.lang.String column_family,
                            java.util.List<Column> expected,
                            java.util.List<Column> updates,
                            ConsistencyLevel serial_consistency_level,
                            ConsistencyLevel commit_consistency_level)

    - #### Cassandra.cas_args

          public Cassandra.cas_args(Cassandra.cas_args other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Cassandra.cas_args deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.cas_args,Cassandra.cas_args._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<Cassandra.cas_args,Cassandra.cas_args._Fields>`

    - #### getKey

          public byte[] getKey()

    - #### bufferForKey

          public java.nio.ByteBuffer bufferForKey()

    - #### setKey

          public Cassandra.cas_args setKey(byte[] key)

    - #### setKey

          public Cassandra.cas_args setKey(java.nio.ByteBuffer key)

    - #### unsetKey

          public void unsetKey()

    - #### isSetKey

          public boolean isSetKey()

      Returns true if field key is set (has been assigned a value) and false otherwise

    - #### setKeyIsSet

          public void setKeyIsSet(boolean value)

    - #### getColumn_family

          public java.lang.String getColumn_family()

    - #### setColumn_family

          public Cassandra.cas_args setColumn_family(java.lang.String column_family)

    - #### unsetColumn_family

          public void unsetColumn_family()

    - #### isSetColumn_family

          public boolean isSetColumn_family()

      Returns true if field column_family is set (has been assigned a value) and false otherwise

    - #### setColumn_familyIsSet

          public void setColumn_familyIsSet(boolean value)

    - #### getExpectedSize

          public int getExpectedSize()

    - #### getExpectedIterator

          public java.util.Iterator<Column> getExpectedIterator()

    - #### addToExpected

          public void addToExpected(Column elem)

    - #### getExpected

          public java.util.List<Column> getExpected()

    - #### setExpected

          public Cassandra.cas_args setExpected(java.util.List<Column> expected)

    - #### unsetExpected

          public void unsetExpected()

    - #### isSetExpected

          public boolean isSetExpected()

      Returns true if field expected is set (has been assigned a value) and false otherwise

    - #### setExpectedIsSet

          public void setExpectedIsSet(boolean value)

    - #### getUpdatesSize

          public int getUpdatesSize()

    - #### getUpdatesIterator

          public java.util.Iterator<Column> getUpdatesIterator()

    - #### addToUpdates

          public void addToUpdates(Column elem)

    - #### getUpdates

          public java.util.List<Column> getUpdates()

    - #### setUpdates

          public Cassandra.cas_args setUpdates(java.util.List<Column> updates)

    - #### unsetUpdates

          public void unsetUpdates()

    - #### isSetUpdates

          public boolean isSetUpdates()

      Returns true if field updates is set (has been assigned a value) and false otherwise

    - #### setUpdatesIsSet

          public void setUpdatesIsSet(boolean value)

    - #### getSerial_consistency_level

          public ConsistencyLevel getSerial_consistency_level()

      See Also:
        `ConsistencyLevel`

    - #### setSerial_consistency_level

          public Cassandra.cas_args setSerial_consistency_level(ConsistencyLevel serial_consistency_level)

      See Also:
        `ConsistencyLevel`

    - #### unsetSerial_consistency_level

          public void unsetSerial_consistency_level()

    - #### isSetSerial_consistency_level

          public boolean isSetSerial_consistency_level()

      Returns true if field serial_consistency_level is set (has been assigned a value) and false otherwise

    - #### setSerial_consistency_levelIsSet

          public void setSerial_consistency_levelIsSet(boolean value)

    - #### getCommit_consistency_level

          public ConsistencyLevel getCommit_consistency_level()

      See Also:
        `ConsistencyLevel`

    - #### setCommit_consistency_level

          public Cassandra.cas_args setCommit_consistency_level(ConsistencyLevel commit_consistency_level)

      See Also:
        `ConsistencyLevel`

    - #### unsetCommit_consistency_level

          public void unsetCommit_consistency_level()

    - #### isSetCommit_consistency_level

          public boolean isSetCommit_consistency_level()

      Returns true if field commit_consistency_level is set (has been assigned a value) and false otherwise

    - #### setCommit_consistency_levelIsSet

          public void setCommit_consistency_levelIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(Cassandra.cas_args._Fields field,
                           java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.cas_args,Cassandra.cas_args._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(Cassandra.cas_args._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.cas_args,Cassandra.cas_args._Fields>`

    - #### isSet

          public boolean isSet(Cassandra.cas_args._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<Cassandra.cas_args,Cassandra.cas_args._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(Cassandra.cas_args that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Cassandra.cas_args other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Cassandra.cas_args>`

    - #### fieldForId

          public Cassandra.cas_args._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.cas_args,Cassandra.cas_args._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<Cassandra.cas_args,Cassandra.cas_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<Cassandra.cas_args,Cassandra.cas_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2014 The Apache Software Foundation